Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.lang
[Java] Annotation Type Mixin

    java.lang.Object
      groovy.lang.Mixin

    @Retention(RetentionPolicy.SOURCE)
    @Target(ElementType.TYPE)
    @GroovyASTTransformationClass("org.codehaus.groovy.ast.MixinASTTransformation")
    public @interface Mixin

Provides a mechanism for mixing in methods into a class.

Authors:
  Alex Tkachman

Required Element Summary
`java.lang.Class[]` | `value`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### value

    public java.lang.Class[] value

Groovy Documentation